<?php
/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
// Update to v6: GeWo - http://v6fusion.ohost.de

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

if (file_exists(INFUSIONS."fresh_content/locale/".$settings['locale'].".php")) {
        include INFUSIONS."fresh_content/locale/".$settings['locale'].".php";
} else {
        include INFUSIONS."fresh_content/locale/English.php";
}

#   Configuration   #
$total_results = 10; // How many results to show for each item


opentable ($locale['RC002']);

	echo "<div style='text-align:center;'><br /><table width='90%' class='table'>";

// Select Articles Content
	$result = dbquery("SELECT * FROM ".$db_prefix."articles ORDER BY article_datestamp DESC LIMIT 0,".$total_results);
	echo "<tr><td colspan='2' class='tbl2'><b>".$locale['RC003']."</b></td></tr>";
	if (dbrows($result) != 0) {		
		while ($data = dbarray($result)) {
			echo "
			<tr><td>
			<img border='0' src='".THEME."images/bullet.gif'>
			<a href='".BASEDIR."readarticle.php?article_id=".$data['article_id']."'>".$data['article_subject']."</a></td>
				<td align='right'>".showdate("forumdate", $data['article_datestamp'])."</td>
			</tr>";
		}
	}
		else {
			echo "<tr><td><div style='text-align:left'>".$locale['004']."</div>\n</td></tr>";
			}
// Select News Content
$result = dbquery("SELECT * FROM ".$db_prefix."news WHERE news_start<='".date(U)."' ORDER BY news_id DESC LIMIT 0,".$total_results);
echo "<tr><td colspan='2' class='tbl2'><b>".$locale['RC004']."</b></td></tr>";
if (dbrows($result) != 0) {
while ($data = dbarray($result)) {
echo "
<tr><td>
<img border='0' src='".THEME."images/bullet.gif'>
<a href=\"".BASEDIR."news.php?readmore=".$data['news_id']."\">".$data['news_subject']."</a></td>
<td align='right'>".showdate("forumdate", $data['news_datestamp'])."</td>
</tr>";
}
}
else {
echo "<tr><td><div style='text-align:left'>".$locale['004']."</div>\n</td></tr>";
}
			
// Select Forum Content
	$result = dbquery("
		SELECT * FROM ".$db_prefix."threads
		INNER JOIN ".$db_prefix."forums ON ".$db_prefix."threads.forum_id=".$db_prefix."forums.forum_id
		WHERE ".groupaccess('forum_access')." ORDER BY thread_lastpost DESC LIMIT 0,".	$total_results);
	echo "<tr><td colspan='2' class='tbl2'><b>".$locale['RC009']."</b></td></tr>";
	if (dbrows($result) != 0) {	
		while($data = dbarray($result)) {
		$itemsubject = trimlink($data['thread_subject'], 23);
		echo "
		<tr><td>
		<img border='0' src='".THEME."images/bullet.gif'>
		<a href='".FORUM."viewthread.php?forum_id=".$data['forum_id']."&thread_id=".$data['thread_id']."' title='".$data['thread_subject']."'>$itemsubject</a></td>
		<td align='right'>".showdate("forumdate", $data['thread_lastpost'])."</td></tr>";
	}
}
		else {
			echo "<tr><td><div style='text-align:left'>".$locale['004']."</div>\n</td></tr>";
			}

// Select Downloads Content
	$result = dbquery("SELECT * FROM ".$db_prefix."downloads ORDER BY download_datestamp DESC LIMIT 0,".$total_results);
	echo "<tr><td colspan='2' class='tbl2'><b>".$locale['RC005']."</b></td></tr>";
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
			echo "
			<tr><td>
			<img border='0' src='".THEME."images/bullet.gif'>
			<a href='".BASEDIR."downloads.php?cat_id=".$data['download_cat']."&amp;download_id=".$data['download_id']."'>".$data['download_title']."</a></td>
				<td align='right'>".showdate("forumdate", $data['download_datestamp'])."</td>
			</tr>";
		}
	}
		else {
			echo "<tr><td><div style='text-align:left'>".$locale['004']."</div>\n</td></tr>";
			}
// Select WebLinks Content
	$result = dbquery("SELECT * FROM ".$db_prefix."weblinks ORDER BY weblink_datestamp DESC LIMIT 0,".$total_results);
	echo "<tr><td colspan='2' class='tbl2'><b>".$locale['RC006']."</b></td></tr>";
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
			echo "
			<tr><td>
				<img border='0' src='".THEME."images/bullet.gif'>
				<a target='_blank' href='".BASEDIR."weblinks.php?cat_id=".$data['weblink_cat']."&amp;weblink_id=".$data['weblink_id']."'>".$data['weblink_name']."</a></td>
				<td align='right'>".showdate("forumdate", $data['weblink_datestamp'])."</td>
			</tr>";
		}
	}
	else {
				echo "<tr><td><div style='text-align:left'>".$locale['004']."</div>\n</td></tr>";
		}
		
// Select Comments Content
	$result = dbquery("SELECT * FROM ".$db_prefix."comments ORDER BY comment_datestamp DESC LIMIT 0,".$total_results);

        echo "<tr><td colspan='2' class='tbl2'><b>".$locale['RC011']."</b></td></tr>";
	if (dbrows($result)) {
			while ($data = dbarray($result)) 
			
if ($data['comment_type'] == "P") {
echo "
			<tr><td>
				<img border='0' src='".THEME."images/bullet.gif'>
				<a target='_blank' href='".BASEDIR."photogallery.php?photo=".$data['comment_item_id']."'>".trimlink($data['comment_message'], 30)."</a></td>
				<td align='right'>".showdate("forumdate", $data['comment_datestamp'])."</td>
			</tr>";
		}

else if ($data['comment_type'] == "A") {
echo "
			<tr><td>
				<img border='0' src='".THEME."images/bullet.gif'>
				<a target='_blank' href='".BASEDIR."readarticle.php?article_id=".$data['comment_item_id']."'>".trimlink($data['comment_message'], 30)."</a></td>
				<td align='right'>".showdate("forumdate", $data['comment_datestamp'])."</td>
			</tr>";
		}

else if ($data['comment_type'] == "N") {
echo "
			<tr><td>
				<img border='0' src='".THEME."images/bullet.gif'>
				<a target='_blank' href='".BASEDIR."news.php?readmore=".$data['comment_item_id']."'>".trimlink($data['comment_message'], 30)."</a></td>
				<td align='right'>".showdate("forumdate", $data['comment_datestamp'])."</td>
			</tr>";
		}

else if ($data['comment_type'] == "C") {
echo "
			<tr><td>
				<img border='0' src='".THEME."images/bullet.gif'>
				<a target='_blank' href='".BASEDIR."viewpage.php?page_id=".$data['comment_item_id']."'>".trimlink($data['comment_message'], 30)."</a></td>
				<td align='right'>".showdate("forumdate", $data['comment_datestamp'])."</td>
			</tr>";
		}


	}
	else {
				echo "<tr><td><div style='text-align:left'>".$locale['004']."</div>\n</td></tr>";
			}

// Select Photos Content
		
	$result = dbquery("SELECT * FROM ".$db_prefix."photos ORDER BY photo_id DESC LIMIT 0,5");
			echo "<tr><td colspan='2' class='tbl2'><b>".$locale['RC007']."</b></td></tr>";
			if (dbrows($result) != 0) {
				
				while($data = dbarray($result)) {
					$itemsubject = trimlink($data['photo_id'], 23);
					$itemdescription = trimlink($data['photo_title'], 23);
				
					echo "<tr><td>
					<img border='0' src='".THEME."images/bullet.gif'>
					<a href='".BASEDIR."photogallery.php?photo=".$data['photo_id']."' title='".$data['photo_title']."' class='side'>".$itemdescription."</a></td>";
					echo "<td align='right'>".showdate("forumdate", $data['photo_date'])."</td></tr>";
				}
				} else {
				echo "<tr><td><div style='text-align:left'>".$locale['004']."</div>\n</td></tr>";
			}
// Select FAQs Content
	$result = dbquery("SELECT * FROM ".$db_prefix."faq_cats ORDER BY faq_cat_id DESC LIMIT 0,".$total_results);
	echo "<tr><td colspan='2' class='tbl2'><b>".$locale['RC008']."</b></td></tr>";
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
			echo "
			<tr><td>
				<img border='0' src='".THEME."images/bullet.gif'>
				<a href=\"".BASEDIR."faq.php?cat_id=".$data['faq_cat_id']."\">".$data['faq_cat_name']."</a></td>";
		
//				<td align='right'>".showdate("forumdate", $data['faq_date'])."</td>
			echo "</tr>";
		}
	}
	else {
				echo "<tr><td><div style='text-align:left'>".$locale['004']."</div>\n</td></tr>";
		}

// Select Custom Pages Content
	$result = dbquery("SELECT * FROM ".$db_prefix."custom_pages ORDER BY page_id DESC LIMIT 0,".$total_results);
	echo "<tr><td colspan='2' class='tbl2'><b>".$locale['RC010']."</b></td></tr>";
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
			echo "
			<tr><td>
				<img border='0' src='".THEME."images/bullet.gif'>
				<a href=\"".BASEDIR."viewpage.php?page_id=".$data['page_id']."\">".$data['page_title']."</a></td>";
		
//				<td align='right'>".showdate("forumdate", $data['faq_date'])."</td>
			echo "</tr>";
		}
	}
	else {
				echo "<tr><td><div style='text-align:left'>".$locale['004']."</div>\n</td></tr>";
		}

	echo "</table><br /></div>";
closetable();

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>
